import Vue from 'vue'
import router from './router'
import store from './store'
import App from './app.vue'

// 公共css
import './assets/css/base.css'
// Element-UI
import ElementUI from 'element-ui'
import './assets/theme/style.scss'

import beforeEnter from './utils/beforeEnter'

Vue.use(ElementUI)

/* 导航守卫 */
router.beforeEach(beforeEnter)

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
